TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Basis ( elt-dvs/fld^fun D ) -> seq()

### Optional Arguments

Reduction | elt-alg^boo |  |
Simplification | string |  | "Full" or "None"

### Description

<shortdoc> The basis of the Riemann-Roch space L(D). </shortdoc>

### Examples

x_gf3:=FiniteField(3); x_gf3x:=PolynomialAlgebra(x_gf3); x_gf3xy:=PolynomialAlgebra(x_gf3x); x_f:=x_gf3xy.1^2+1; x_F:=FunctionField(x_f); x_O:=MaximalOrderFinite(x_F); x_p:=PrimitiveElement(x_O); x_D:=Divisor(x_p); Basis(x_D);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack